Bug 99114 - System monitor gives incorrect message when attempting to renice process to higher priority
System monitor gives incorrect message when attempting to renice process to h...
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: gnome-system-monitor (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 14:30 EDT by Need Real Name
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:26:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-14 14:30:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
When you (as nonroot) attempt to renice a process using the gnome system
monitor, and you are attempting to lower the nice number (i.e. raise the
priority), and the process already had nice > 0, the message it gives you is
incorrect.

Version-Release number of selected component (if applicable):
gnome-system-monitor-2.0.4-2

How reproducible:
Always

Steps to Reproduce:
1. Choose a process with nice > 0. (I tested with nice = 19)
2. Click Edit -> Change Priority, and choose a lower priority, but still > 0.
3. Read the password prompt message.
    

Actual Results:  The password prompt informed me "You must be root to renice a
process lower than 0". However, I wasn't attempting to renice it lower than 0, I
was attempting to renice it from 19 to 10.

Expected Results:  Prompt should read "You must be root to lower the nice number
of a process" or "You must be root to increase the priority of a process". Or,
if the text is in fact correct, it shouldn't prompt you in the first place.

Additional info:
Comment 1 Havoc Pennington 2003-08-07 17:36:28 EDT
Needs fixing on gnome.org level so it can be translated.
Comment 2 Christopher Aillon 2004-08-24 17:26:00 EDT
Being tracked upstream at http://bugzilla.gnome.org/show_bug.cgi?id=123268

Note You need to log in before you can comment on or make changes to this bug.